Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class HTTPLocationBasedDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.AbstractDispatcher
              org.apache.axis2.dispatchers.HTTPLocationBasedDispatcher
                  org.apache.axis2.engine.HTTPLocationBasedDispatcher

All Implemented Interfaces:
  Handler

Deprecated. use org.apache.axis2.dispatchers.HTTPLocationBasedDispatcher

    public class HTTPLocationBasedDispatcher

extends HTTPLocationBasedDispatcher

Dispatches the operation based on the information from the target endpoint URL.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.dispatchers.HTTPLocationBasedDispatcher
`NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`HTTPLocationBasedDispatcher()` Deprecated.

Method Summary

Methods inherited from class org.apache.axis2.dispatchers.HTTPLocationBasedDispatcher
`findOperation, findService, initDispatcher`

Methods inherited from class org.apache.axis2.engine.AbstractDispatcher
`invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPLocationBasedDispatcher

    public HTTPLocationBasedDispatcher()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.